<template>
   <div class="bar" :style="{background: outputElement.color, width: outputElement.percentage, right: outputElement.leftover, height:outputElement.thickness}">
       {{outputElement.value}}
 
    </div>
</template>

<script>
export default {
    name: "Bar",
    props: {
        outputElement: Object,
    },
}
</script>

<style scoped>
  .palette{
  color:#121A21;
  color:#000000;
  color:#FF4C41;
  color:#C4D364;
  color:#ECCE58;
  color:#40B2E1;
  color:#F5878B;
  color:#A3E9D4;
  color:#ffffff;
}
.bar{
    height: 100%;
    display: flex;
    padding-left: 10px;
    align-items: center;
    font-weight: bold;
    color: #000000;
    
}


</style>